
/* begin file BlockForm.css */

.BlockForm {
    padding: 1em;
}
.BlockForm label:not(.inline) input:not([type=checkbox]), .BlockForm label:not(.inline) select{
    display:block;
}
.BlockForm label:not(.inline) {
    display:block;
    padding: 0.5em;
    max-width:100%;
}
.BlockForm textarea {
    resize:vertical;
    display:inline-block;
    width:75%;
    min-height:15ch;
}
.BlockForm input {
    margin-left:0.5em;
    margin-top:0.2em;
}
/* .BlockForm label.inline input[type=checkbox], .BlockForm label.inline select{
    display:inline-block;
} */

.BlockForm .help {
    font-size:0.9em;
    display:inline-block;
    margin:0;
    padding:0;
    margin-left:0.5rem;
}

.BlockForm .disclaimer {
    color:red;
}
.BlockForm .alert {
    color:red;
    font-size: 0.9em;
    display:none;
}
/* end file BlockForm.css */



/* begin file Theme_HeaderView.css */

header .menu {
    /* display:flex; */
    display:flex;
    flex-flow: row wrap;
    vertical-align:middle;
    justify-content:left;
    padding:0.5em 0.5em 0.5em 0.5em;
}
.HeaderWrapper {
    
    justify-content:left;
    margin: 0;
    padding:0;
    width: 100%;
    background: var(--color_black);
    border-bottom: 1px solid red;
    box-shadow: inset 0px -35px 35px -35px var(--color_blue_bright);
}
.HeaderWrapper .HeaderContent {
    display:flex;
    flex-flow: row wrap;
    vertical-align:middle;
    justify-content:left;
    padding:0.5em 0.5em 0.5em 0.5em;
}

.HeaderContent .header, .HeaderContent .header h1 {
    text-decoration: none;
    color: var(--color_white);
    /* color: var(--color_blue_bright); */
    font-weight: bold;
    /* font-size: 1.5rem; */
    cursor: pointer;
    text-overflow: ellipsis;
    /* padding:0 0.5em 0 0; */
    /* font-family:AbysRegular; */
    /* font-style:normal; */
    /* font-weight:normal; */
    /* font-size:200%; */
    /* font-size-adjust: 0.55; */
}
.HeaderContent .header:active , .HeaderContent .header:hover , .HeaderContent .header:focus,
.HeaderContent .header:active h1, .HeaderContent .header:hover h1, .HeaderContent .header:focus h1 {
    /* background:none; */
    background:var(--color_blue);
    color: var(--color_yellow);
}


.HeaderWrapper .menu a {
    /* display:table-cell;
    display:inline; */
    vertical-align: middle;
    align-self:flex-center;
    text-align:center;
    margin-top:auto;
    margin-bottom:auto;
}
header .menu a{

    /* padding: 14px 16px; */
    padding:0.5em;
    text-decoration: none;
    font-size: 1.0rem;
    border-right: 1px solid rgba(255,255,255, 0.7);
    border-bottom: 1px solid rgba(255,255,255, 0.7);
    border-top: 1px solid rgba(255,255,255, 0.4);
    border-left: 1px solid rgba(255,255,255, 0.4);
    color:var(--color_white_soft);
    color: var(--color_yellow);
    background:var(--color_blue);
    font-weight:600;
    letter-spacing:1.0px;
}

.HeaderWrapper {
    border-width:0 1px 0 0;
    border-top:1px solid black;

}

header .menu a:active, header .menu a:hover {
    background: var(--color_white_soft);
    background: var(--color_yellow);
    color: var(--color_blue);
}

header a {
    text-decoration: none;
    color: var(--color_blue);
    font-size: 1.2rem;
    cursor: pointer;
    text-overflow: ellipsis;
    display: block;
    padding: 0.4rem 2rem 0.4rem 1.0rem;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-tap-highlight-color: var(--color_white);
}

header a:visited:not(:hover):not(:active) {
    /* color:initial; */
}
/* end file Theme_HeaderView.css */



/* begin file Theme_FooterView.css */


.FooterContent  {
    min-height:10rem;
    /* background:#8B4513; */
    /* background:rgb(85, 42, 12); */
    /* background: #2a0000; */
    background: var(--color_blue_very_dark);
    color: var(--color_white);
}

  #footer h4 {
    color:var(--color_white);
  }

    #footer ul a:visited, #footer ul a {
    color:var(--color_orange);
    text-decoration: none;

  }

#footer a, #footer a:visited {
    color:var(--color_white);
}



footer {
    margin:0;
    padding:0;
    width:100%;
    
}
#footer {
    display:flex;
    justify-content:center;
    align-items:center;
    padding: 0 0 8px 0;
    margin:0;
    flex-direction:column;
  }
  

  
  #footer_container {
    display:flex;
    flex-direction:row;
    justify-content:space-between;
    width:100%;
    height:100%;
    max-width:1024px;
  }
  
  #footer_container > div {
    flex:1;
    margin:0 16px 0 16px;
  }
  
  #footer ul {
    list-style-type:none;
    padding-left:8px;
    margin-top:0;
    padding-top:0;
  }

  #footer ul a:visited, #footer ul a {
    padding: 0.2em;
  }
  #footer ul li {
    margin-left:-0.5rem;
  }
  #footer ul li::before {
    content: "-";
    margin-right:0.5rem;
  }

  #footer a, #footer a:visited {
    display:inline-block;
}
/* end file Theme_FooterView.css */



/* begin file 0-SiteLayout.css */
html, body {
    height:100%;
    width:100%;
    padding:0;
    margin:0;
    background:#EEEEEE;
}

* { 
    box-sizing: border-box; 
}

div.PageWrap {
    width:100%;
    min-height:100%;
    background: #FFF;

    display:flex;
    flex-direction:column;  
    justify-content:center;
    align-items:center;
}

main, footer, header {
    padding:0;
    margin:0;
    width:100%;
    display:flex;
    flex-direction:column;
}


main {
    flex: 1;
}



.MainWrapper {
    display:flex;
    flex-direction:column;
    width:100%;
    max-width:100%;
    align-items:center;
    flex:1;
}

.MainContent {
    min-width:58%;
    max-width:1280px;
    width:100%;
    flex:1;
    padding:var(--page_pad);
    
    /* display:grid; */
    /* grid-template-columns: repeat(16, 6.25%); */
    /* grid-template-rows:auto; */
}
.HeaderWrapper {
    display:flex;
    flex-direction:column;
    width:100%;
    max-width:100%;
    align-items:center;
}

.HeaderContent {
    min-width:58%;
    max-width:1280px;
    width:100%;
}
.FooterWrapper {
    display:flex;
    flex-direction:column;
    width:100%;
    max-width:100%;
    align-items:center;
}

.FooterContent {
    min-width:58%;
    max-width:1280px;
    width:100%;
}
/* end file 0-SiteLayout.css */



/* begin file 1-SiteStyle.css */

html, body, main, header, footer {
    background: #ddd;
    font-size:1.1rem;
}


.MainContent {
    background:white;
}

.BlockForm textarea {
    min-width: max(13ch,40%);
    width: min(75ch,80%);
    max-width:95%;
    resize:both !important;
}
/* end file 1-SiteStyle.css */



/* begin file 2-BlogContent.css */

.BlogSection {
    max-width:55ch;
}
.BlogSectionSmall {
    max-width:45ch;
}
.BlogCentered {
    margin-left:auto;
    margin-right:auto;
}

.BlogExtraWide {
    max-width:80ch;
}
/* end file 2-BlogContent.css */



/* begin file 3-Global.css */

hr.HalfCentered {
    width:50%;
    margin: default auto;
}

.FullWidth {
    margin-left: var(--page_pad_neg);
    margin-right: var(--page_pad_neg);
}
.FillTop {
    margin-top: var(--page_pad_neg);
}
.FillBottom {
    margin-bottom: var(--page_pad_neg);;
}

a > button {
    cursor:pointer;
}
/* end file 3-Global.css */



/* begin file 3-vars.css */


html {
    --color_blue: #A00;
    --color_blue_rgb: 0, 0, 255;
    --color_blue_very_bright: rgb(139, 193, 255);
    --color_blue_bright: #A00;
    --color_blue_dark: #500;
    --color_blue_very_dark: #200;
    --color_black: #112;
    --color_black_rgb: 17, 17, 34;
    --color_black_dark:#111;
    --color_white: white;
    --color_white_soft: #FaFaFa;
    --color_yellow: #FFD700;
    --color_yellow_dim:#dbac10;
    --color_orange: #FFD700;
    --color_orange_rgb: 255, 215, 0;
    --color_orange_dark:#EFE700;


    --min_section_height: 20rem;

    --page_pad: 0.5rem;
    --page_pad_neg: calc(-1 * var(--page_pad));
}
/* end file 3-vars.css */



/* begin file CodeStyle.css */

code {
    background: rgb(0, 0, 0, 0.1);
}
pre > code {
    display:block;
    max-height:50em;
    overflow:scroll;
    padding:1ch;
    max-width:100%;
}
pre {
    max-width: 100%;
}
/* end file CodeStyle.css */
